if(!window.getComputedStyle){
	window.getComputedStyle=function(el, pseudo){
		this.el=el;
		this.getPropertyValue=function(prop){
			var re=/(\-([a-z]){1})/g;
			if(prop=='float') prop='styleFloat';
			if(re.test(prop)){
				prop=prop.replace(re, function(){
					return arguments[2].toUpperCase();
				});
			}
			return el.currentStyle[prop]?el.currentStyle[prop]:null;
		}
		return this;
	}
}
var layout_o={
x:0,
y:0,
w:0,
h:0,
init:function(){
	if(document.addEventListener){
		document.addEventListener("DOMContentLoaded", layout_o.completed, false);
		window.addEventListener("load", layout_o.completed, false);
	}else{
		document.attachEvent("onreadystatechange", layout_o.completed);
		window.attachEvent("onload", layout_o.completed);
	}
},
completed:function(evt){
	evt=evt || window.event;
	if(document.addEventListener || event.type==="load" || document.readyState==="complete"){
		if(document.addEventListener){
			document.removeEventListener("DOMContentLoaded", layout_o.completed, false);
			window.removeEventListener("load", layout_o.completed, false);
		}else{
			document.detachEvent("onreadystatechange", layout_o.completed);
			window.detachEvent("onload", layout_o.completed);
		}
		
		if(window.MutationObserver){
			window.addEventListener("resize", layout_o.resizeHandler, false);
			var observer=new MutationObserver(layout_o.observe);
			observer.observe(document.getElementById("mainTable"), {attributes: true, childList: true, characterData: true, subtree: true});
			layout_o.setup(false);
			setTimeout("layout_o.setup(false);", 500);
		}else{
			if(document.addEventListener){
				window.addEventListener("resize", layout_o.resizeHandler, false);
			}else{
				window.attachEvent("onresize", layout_o.resizeHandler);
			}
			setInterval("layout_o.setup(true);", 500);
		}
	}
},
observe:function(mutations){
	layout_o.setup(false);
},
resizeHandler:function(){
	layout_o.setup(false);
//	mn_o.resizerect();
},
setup:function(isInterval){
	try{
		var mainTable_rect=e_o.getElementRect(e_o.getObj("mainTable"));
		var skin_MenuTop_rect=e_o.getElementRect(e_o.getObj("skin_MenuTop"));
		var index_menuBar_rect=e_o.getElementRect(e_o.getObj("index_menuBar"));
		var skin_MenuBottom_rect=e_o.getElementRect(e_o.getObj("skin_MenuBottom"));
		
		var skin_MenuLeft_rect=e_o.getElementRect(e_o.getObj("skin_MenuLeft"));
		var skin_MenuRight_rect=e_o.getElementRect(e_o.getObj("skin_MenuRight"));
		var td_viewerLeft_rect=e_o.getElementRect(e_o.getObj("td_viewerLeft"));
		var td_viewerRight_rect=e_o.getElementRect(e_o.getObj("td_viewerRight"));
		
		var x=skin_MenuLeft_rect.w+td_viewerLeft_rect.w;
		var w=(td_viewerRight_rect.x>x)?td_viewerRight_rect.x-x:mainTable_rect.w-(x+td_viewerRight_rect.w+skin_MenuRight_rect.w);
		var y=skin_MenuTop_rect.h+index_menuBar_rect.h;
		var h=(skin_MenuBottom_rect.y>y)?skin_MenuBottom_rect.y-y:mainTable_rect.h-(y+skin_MenuBottom_rect.h);
		
		if(w<=10){
			if(e_o.browser.msie && e_o.browser.version<=9){
				td_viewerRight.style.width="0px";
				skin_MenuRight.style.width="0px";
				return;
			}else{
				w=10;
			}
		}
		if(h<=10){
			h=10;
		}

		if(x==layout_o.x && y==layout_o.y && w==layout_o.w && h==layout_o.h) return;
		
		try{
			layout_o.x=x;
			layout_o.y=y;
			layout_o.w=w;
			layout_o.h=h;
			
			skin_MenuLeft.style.height=h+"px";
			skin_MenuRight.style.height=h+"px";
			td_viewerLeft.style.height=h+"px";
			td_viewerRight.style.height=h+"px";
			
			var skin_Viewer=e_o.getObj("skin_Viewer");
			skin_Viewer.style.left=x+"px";
			skin_Viewer.style.top=y+"px";
			
			skin_Viewer.style.width=w+"px";
			skin_Viewer.style.height=h+"px";
		}catch(e){}

		try{smenu_o.rePosition();}catch(e){}

//		$(".bg05").css({"height":$(window).height()-10+"px"});
	}catch(ae){}
}
};
layout_o.init();

var mn_o={
bt_unit_width:80,
bt_unit_num:0,
sum_width:0,
init:function(){
	try{
		var skin_menu=e_o.getObj("skin_menu");
		var skin_menu_rect=e_o.getElementRect(skin_menu);
		
		var ui_box=e_o.getObj("ui_box");
		var ui_box_rect=e_o.getElementRect(ui_box);
		
		var wrap_ui=e_o.getObj("wrap_ui");
		var wrap_ui_rect=e_o.getElementRect(wrap_ui);
		
		var left_div=e_o.getObj("left_div");
		var left_div_rect=e_o.getElementRect(left_div);
		
		var center_box=e_o.getObj("center_box");
		var center_box_rect=e_o.getElementRect(center_box);
		
		var center_div=e_o.getObj("center_div");
		if(e_isIEBrowser && e_o.browser.version<=9){
			center_div.style.margin="0 auto";
			center_div.style.overflow="hidden";
		}else{
			center_div.style.display="inline-block";
			center_div.style.overflow="hidden";
		}
		var center_div_rect=e_o.getElementRect(center_div);
		
		var right_div=e_o.getObj("right_div");
		var right_div_rect=e_o.getElementRect(right_div);
		
		var left_arrow=e_o.getObj("left_arrow");
		var left_arrow_rect=e_o.getElementRect(left_arrow);
		
		var right_arrow=e_o.getObj("right_arrow");
		var right_arrow_rect=e_o.getElementRect(right_arrow);
		
		left_div.style.width=left_div_rect.w+"px";
		center_div.style.width=center_div_rect.w+"px";
		right_div.style.width=right_div_rect.w+"px";
		
		ui_box.style.width=skin_menu_rect.w-(left_div_rect.w+left_arrow_rect.w+right_arrow_rect.w)+"px";
		wrap_ui_rect.w=skin_menu_rect.w-(left_div_rect.w+left_arrow_rect.w+right_arrow_rect.w);
		
		var center_w=wrap_ui_rect.w-right_div_rect.w;
		center_box.style.width=center_w+"px";
		
		if(center_w<=center_div_rect.w){
			center_box.style.width=center_div.style.width;
		}else{
			center_box.style.width=center_w+"px";
		}
	}catch(e){
	}
},
resizerect:function(){
	try{
		var skin_menu=e_o.getObj("skin_menu");
		var skin_menu_rect=e_o.getElementRect(skin_menu);
		
		var ui_box=e_o.getObj("ui_box");
		var ui_box_rect=e_o.getElementRect(ui_box);
		
		var wrap_ui=e_o.getObj("wrap_ui");
		var wrap_ui_rect=e_o.getElementRect(wrap_ui);
		
		var left_div=e_o.getObj("left_div");
		var left_div_rect=e_o.getElementRect(left_div);
		
		var center_box=e_o.getObj("center_box");
		var center_box_rect=e_o.getElementRect(center_box);
		
		var center_div=e_o.getObj("center_div");
		var center_div_rect=e_o.getElementRect(center_div);
		
		var right_div=e_o.getObj("right_div");
		var right_div_rect=e_o.getElementRect(right_div);
		
		var left_arrow=e_o.getObj("left_arrow");
		var left_arrow_rect=e_o.getElementRect(left_arrow);
		
		var right_arrow=e_o.getObj("right_arrow");
		var right_arrow_rect=e_o.getElementRect(right_arrow);
		
		wrap_ui_rect.w=skin_menu_rect.w-(left_div_rect.w+left_arrow_rect.w+right_arrow_rect.w);
		
		var center_w=wrap_ui_rect.w-right_div_rect.w;
		if(center_w>0){
			if(center_w<=center_div_rect.w){
				center_box.style.width=center_div.style.width;
			}else{
				center_box.style.width=center_w+"px";
			}
		}else{
			center_box.style.width=wrap_ui_rect.w+"px";
		}
		
		mn_o.sum_width=center_div_rect.w+right_div_rect.w;
		wrap_ui.style.minWidth=mn_o.sum_width+"px";
		
		if(ui_box_rect.w<mn_o.sum_width){
			right_arrow.style.display="block";
		}else{
			left_arrow.style.display="none";
			right_arrow.style.display="none";
			wrap_ui.style.marginLeft=0;
		}
		wrap_ui.style.width=wrap_ui_rect.w+"px";
		ui_box.style.width=wrap_ui_rect.w+"px";
	}catch(e){
	}
},
ui_move:function(num){
	var skin_menu=e_o.getObj("skin_menu");
	var skin_menu_rect=e_o.getElementRect(skin_menu);
	
	var ui_box=e_o.getObj("ui_box");
	var ui_box_rect=e_o.getElementRect(ui_box);
	
	var wrap_ui=e_o.getObj("wrap_ui");
	var wrap_ui_rect=e_o.getElementRect(wrap_ui);
	
	var left_div=e_o.getObj("left_div");
	var left_div_rect=e_o.getElementRect(left_div);
		
	var left_arrow=e_o.getObj("left_arrow");
	var left_arrow_rect=e_o.getElementRect(left_arrow);
	
	var right_arrow=e_o.getObj("right_arrow");
	var right_arrow_rect=e_o.getElementRect(right_arrow);
	
	mn_o.bt_unit_num=mn_o.bt_unit_num+num;
	var move_px=mn_o.bt_unit_num*mn_o.bt_unit_width;	
	
	if(move_px>0){
		mn_o.bt_unit_num=mn_o.bt_unit_num-num;
		move_px=0;
		left_arrow.style.display="none";
		right_arrow.style.display="block";
		wrap_ui_rect.w=skin_menu_rect.w-(left_div_rect.w+right_arrow_rect.w);
		
		mn_o.hidden_layer();
		var timer=setTimeout(function(){
			mn_o.hidden_layer();
			clearTimeout(timer);
		}, 1000);
	}else if(move_px<(ui_box_rect.w-mn_o.sum_width)){
		move_px=(ui_box_rect.w-mn_o.sum_width)+20;
		left_arrow.style.display="block";
		right_arrow.style.display="none";
		wrap_ui_rect.w=skin_menu_rect.w-(left_div_rect.w+left_arrow_rect.w);
		
		mn_o.hidden_layer();
		var timer=setTimeout(function(){
			mn_o.hidden_layer();
			clearTimeout(timer);
		}, 1000);
	}else{
		move_px=move_px;
		left_arrow.style.display="block";
		right_arrow.style.display="block";
		wrap_ui_rect.w=skin_menu_rect.w-(left_div_rect.w+40);
	}
	wrap_ui.style.width=wrap_ui_rect.w+"px";
	wrap_ui.style.marginLeft=move_px;
	ui_box.style.width=wrap_ui_rect.w+"px";
},
hidden_layer:function(){
	var glass=e_o.getObj("glass");
	if(glass.style.display=="none"){
		glass.style.display="";
	}else{
		glass.style.display="none";
	}
}
}